package com.ruoyi.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目对象 biz_project
 * 
 * @author ruoyi
 * @date 2025-08-28
 */
public class BizProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目管理员id */
    @Excel(name = "项目管理员id")
    private Long ownerId;

    /** 0未完成 1已完成 2隐藏 */
    @Excel(name = "0未完成 1已完成 2隐藏")
    private String status;

    /** 删除标志0=正常,2=软删除 */
    private String delFlag;

    /** 当项目下所有模块完成时,写入此时时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "当项目下所有模块完成时,写入此时时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date finishTime;

    /** 项目截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deadline;

    /** 项目起始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "项目起始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 项目标签 */
    @Excel(name = "项目标签")
    private String projectLabel;
    
    /** 项目管理员名称 */
    @Excel(name = "项目管理员")
    private String ownerName;
    
    /** 项目模块数量 */
    private Integer moduleCount;
    
    /** 已完成模块数量 */
    private Integer completedModuleCount;

    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }

    public void setProjectName(String projectName) 
    {
        this.projectName = projectName;
    }

    public String getProjectName() 
    {
        return projectName;
    }

    public void setOwnerId(Long ownerId) 
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId() 
    {
        return ownerId;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setFinishTime(Date finishTime) 
    {
        this.finishTime = finishTime;
    }

    public Date getFinishTime() 
    {
        return finishTime;
    }

    public void setDeadline(Date deadline) 
    {
        this.deadline = deadline;
    }

    public Date getDeadline() 
    {
        return deadline;
    }

    public void setStartTime(Date startTime)
    {
        this.startTime = startTime;
    }

    public Date getStartTime()
    {
        return startTime;
    }

    public void setProjectLabel(String projectLabel) 
    {
        this.projectLabel = projectLabel;
    }

    public String getProjectLabel() 
    {
        return projectLabel;
    }

    public void setOwnerName(String ownerName) 
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName() 
    {
        return ownerName;
    }

    public void setModuleCount(Integer moduleCount) 
    {
        this.moduleCount = moduleCount;
    }

    public Integer getModuleCount() 
    {
        return moduleCount;
    }

    public void setCompletedModuleCount(Integer completedModuleCount) 
    {
        this.completedModuleCount = completedModuleCount;
    }

    public Integer getCompletedModuleCount() 
    {
        return completedModuleCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("projectName", getProjectName())
            .append("ownerId", getOwnerId())
            .append("ownerName", getOwnerName())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("finishTime", getFinishTime())
            .append("deadline", getDeadline())
            .append("startTime", getStartTime())
            .append("projectLabel", getProjectLabel())
            .append("moduleCount", getModuleCount())
            .append("completedModuleCount", getCompletedModuleCount())
            .toString();
    }
}
